Subject: bug#22959: Emacs on Windows depends on libwinpthreads

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Mar 2016 18:59:00 +0200

> From: [email-masked] (Phillip Lord)
> Cc: [email-masked]
> Date: Wed, 09 Mar 2016 16:32:44 +0000
> 
> > If MinGW64 builds binaries that depend on libwinpthread DLL, then why
> > isn't that DLL part of the MinGW64 GCC installation?  That sounds like
> > a bug in MinGW64 packaging, or maybe your installation is somehow
> > incomplete or misconfigured?
> 
> It is part of the distribution. The problem is generating a binary for
> other people that they can use. If I install Emacs and then package that
> location, the executable will not work.

Ah, okay.  Then I think the only way of making distributable binaries
is to find a GCC distribution that doesn't infect programs it produces
with the libwinpthread dependency.

> > (This is the first time that a MinGW64 Emacs user complains about
> > this, so I wonder how others solve this problem.)
> 
> The Emacs-W64 distribution which builds in ming-w64 just copies
> libwinpthread-1.dll into the bin directory.

Someone who does that will have to provide the sources of that library
from the same location, or they will be in violation of the GPL.

> The other solution is
> 
> ./configure CFLAGS=-static

If that gives reasonable results, yes.  What problems, if any, does it
create?